Переполнение буфера в PeerCast

Дата публикации:
30.04.2008
Дата изменения:
30.04.2008
Всего просмотров:
935
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2040
CVE-2007-6454
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PeerCast 0.x
Уязвимые версии: PeerCast 0.1218, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в "HTTP::getAuthUserPass()" при обработке запросов на HTTP Basic аутентификацию. Удаленный пользователь может с помощью слишком длинной строки вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.peercast.org

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA